/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.topology.views.fiveg.models;

public class LinearModel extends AbstractModel {
	
	private long a = 0;
	private long b = 0;
	
	public void setA(long a) {
		this.a = a;
	}
	
	public void setB(long b) {
		this.b = b;
	}

	@Override
	public long getLong(int users) {
		return this.a * users + this.b;
	}

	@Override
	public double getDouble(int users) {
		return (double) this.a * users + this.b;
	}

}
